# Uses of Class
java.util.ArrayDeque

Packages that use ArrayDeque
Package
Description
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.

## Uses of ArrayDeque in java.util

Methods in java.util that return ArrayDeque
Modifier and Type
Method
Description
`ArrayDeque<E>`
ArrayDeque.`clone()`
Returns a copy of this deque.